<div>
    <form *ngIf="formResetToggle" [attr.autocomplete]="isGeneralEditor ? NaN : null" class="form-horizontal" name="userInfoForm" #f="ngForm" novalidate
          (ngSubmit)="f.form.valid ? save() :

          (!userName.valid && showErrorAlert('User name is required', 'Please enter a user name (minimum of 2 and maximum of 200 characters)'));

          (userPassword && !userPassword.valid && showErrorAlert('Password is required', 'Please enter the current password'));

          (email.errors?.required && showErrorAlert('Email is required', 'Please enter an email address (maximum of 200 characters)'));
          (email.errors?.pattern && showErrorAlert('Invalid Email', 'Please enter a valid email address'));

          (isChangePassword && isEditingSelf && !currentPassword.valid && showErrorAlert('Current password is required', 'Please enter the current password'));

          (isChangePassword && !newPassword.valid && showErrorAlert('New password is required', 'Please enter the new password (minimum of 6 characters)'));

          (isChangePassword && confirmPassword.errors?.required && showErrorAlert('Confirmation password is required', 'Please enter the confirmation password'));
          (isChangePassword && confirmPassword.errors?.validateEqual && showErrorAlert('Passwword mismatch', 'New password and comfirmation password do not match'));

          (canAssignRoles && !roles.valid && showErrorAlert('Roles is required', 'Please select a minimum of 1 role'));">

        <div class="form-group">
            <label [class.col-md-3]="isViewOnly" [class.col-md-2]="!isViewOnly" class="control-label" for="jobTitle-{{uniqueId}}">{{'users.editor.JobTitle' | translate}}</label>
            <div *ngIf="!isEditMode" [class.col-md-9]="isViewOnly" [class.col-md-10]="!isViewOnly">
                <p class="form-control-static">{{user.jobTitle}}</p>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <hr [class.separator-hr]="!isEditMode" [class.edit-separator-hr]="isEditMode" />
            </div>
        </div>

        <div class="form-group has-feedback">
            <label [class.col-md-3]="isViewOnly" [class.col-md-2]="!isViewOnly" class="control-label" for="userName-{{uniqueId}}">{{'users.editor.UserName' | translate}}</label>
            <div *ngIf="!isEditMode" [class.col-md-9]="isViewOnly" [class.col-md-10]="!isViewOnly">
                <p class="form-control-static">{{user.userName}}</p>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <hr [class.separator-hr]="!isEditMode" [class.edit-separator-hr]="isEditMode" />
            </div>
        </div>

        <div class="form-group has-feedback">
            <label [class.col-md-3]="isViewOnly" [class.col-md-2]="!isViewOnly" class="control-label" for="email-{{uniqueId}}">{{'users.editor.Email' | translate}}</label>
            <div *ngIf="!isEditMode" [class.col-md-9]="isViewOnly" [class.col-md-10]="!isViewOnly">
                <p class="form-control-static">{{user.email}}</p>
            </div>
        </div>

        <!--******************************************************************************************************-->

        <div *ngIf="!isEditMode || canAssignRoles" class="row">
            <div class="col-md-12">
                <hr [class.separator-hr]="!isEditMode" [class.edit-separator-hr]="isEditMode" />
            </div>
        </div>

        <div *ngIf="!isEditMode || canAssignRoles" class="form-group has-feedback">
            <label [class.col-md-3]="isViewOnly" [class.col-md-2]="!isViewOnly" class="control-label" for="roles-user-info">{{'users.editor.Roles' | translate}}</label>
            <div *ngIf="!isEditMode" [class.col-md-9]="isViewOnly" [class.col-md-10]="!isViewOnly">
                <p class="form-control-static">
                    <span *ngFor="let role of user.roles">
                        <span title='{{getRoleByName(role)?.description}}' class="badge">{{role}}</span>
                    </span>
                </p>
            </div>
        </div>

        <!--******************************************************************************************************-->

        <div class="row">
            <div class="col-md-12">
                <hr [class.separator-hr]="!isEditMode" [class.edit-separator-hr]="isEditMode" />
            </div>
        </div>

        <div class="form-group">
            <label [class.col-md-3]="isViewOnly" [class.col-md-2]="!isViewOnly" class="control-label" for="fullName-{{uniqueId}}">{{'users.editor.FullName' | translate}}</label>
            <div *ngIf="!isEditMode" [class.col-md-9]="isViewOnly" [class.col-md-10]="!isViewOnly">
                <p class="form-control-static">{{user.fullName}}</p>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <hr [class.separator-hr]="!isEditMode" [class.edit-separator-hr]="isEditMode" />
            </div>
        </div>

        <div class="form-group">
            <label [class.col-md-3]="isViewOnly" [class.col-md-2]="!isViewOnly" class="control-label" for="phoneNumber-{{uniqueId}}">{{'users.editor.PhoneNumber' | translate}}</label>
            <div *ngIf="!isEditMode" [class.col-md-9]="isViewOnly" [class.col-md-10]="!isViewOnly">
                <p class="form-control-static">{{user.phoneNumber}}</p>
            </div>
        </div>

        <div *ngIf="!isViewOnly" class="row">
            <div class="col-md-12">
                <hr [class.last-separator-hr]="!isEditMode" [class.edit-last-separator-hr]="isEditMode" />
            </div>
        </div>

        <div *ngIf="!isViewOnly" class="form-group">
            <div class="col-sm-5">
                <div *ngIf="isGeneralEditor && isEditMode" class="pull-left">
                    <div class="checkbox user-enabled">
                        <label>
                            <input type="checkbox" name="isEnabled" [(ngModel)]="userEdit.isEnabled">
                            {{'users.editor.Enabled' | translate}}
                        </label>
                    </div>
                    <button *ngIf="userEdit.isLockedOut" type="button" (click)="unlockUser()" class="btn btn-warning unblock-user" [disabled]="isSaving"><i class='fa fa-unlock-alt'></i> {{'users.editor.Unblock' | translate}}</button>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
    </form>
</div>
